Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class PastRegrTest.NonMutableTestPastContent

    java.lang.Object
      rice.p2p.past.testing.PastRegrTest.TestPastContent
          rice.p2p.past.testing.PastRegrTest.NonMutableTestPastContent

All Implemented Interfaces:
  java.io.Serializable, PastContent

Enclosing class:
  PastRegrTest

    protected static class PastRegrTest.NonMutableTestPastContent

extends PastRegrTest.TestPastContent

See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.p2p.past.testing.PastRegrTest.TestPastContent
`existing, id`

Constructor Summary
`PastRegrTest.NonMutableTestPastContent(Id id)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`boolean` | `isMutable()` States if this content object is mutable.

Methods inherited from class rice.p2p.past.testing.PastRegrTest.TestPastContent
`checkInsert, getHandle, getId, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PastRegrTest.NonMutableTestPastContent

    public PastRegrTest.NonMutableTestPastContent(Id id)

Method Detail

### isMutable

    public boolean isMutable()

  Description copied from interface: `PastContent`
  States if this content object is mutable. Mutable objects are not subject to dynamic caching in Past.

  Specified by:
    `isMutable` in interface `PastContent`
  Overrides:
    `isMutable` in class `PastRegrTest.TestPastContent`
  Returns:
    true if this object is mutable, else false

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `PastRegrTest.TestPastContent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.